%global		momorel 1

Name:           fslint
Version:        2.46
Release:        %{momorel}m%{?dist}
Summary:        File System "lint" discovery and cleaning utility

Group:          Applications/File
License:        GPLv2+
URL:            http://www.pixelbeat.org/fslint/
Source0:        http://www.pixelbeat.org/fslint/%{name}-%{version}.tar.xz
NoSource:	0

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  gettext >= 0.13, desktop-file-utils
Requires:       python >= 2.3, pygtk2 >= 2.4, pygtk2-libglade, cpio, findutils

%description
FSlint is a utility to find redundant disk usage like duplicate files
for example. It can be used to reclaim disk space and fix other problems
like file naming issues and bad symlinks etc.
It includes a GTK+ GUI as well as a command line interface.


%prep
%setup -q -n %{name}-%{version}
sed -i -e 's|^liblocation=.*$|liblocation="%{_datadir}/%{name}" #RPM edit|' fslint-gui
sed -i -e 's|^locale_base=.*$|locale_base=None #RPM edit|' fslint-gui


%build
# Not.


%install
rm -rf $RPM_BUILD_ROOT
install -Dpm 755 fslint-gui $RPM_BUILD_ROOT%{_bindir}/fslint-gui
install -dm 755 $RPM_BUILD_ROOT%{_datadir}/%{name}/%{name}/{fstool,supprt}
install -dm 755 $RPM_BUILD_ROOT%{_datadir}/%{name}/%{name}/supprt/rmlint
install -dm 755 $RPM_BUILD_ROOT%{_mandir}/man1
install -pm 644 fslint.glade fslint_icon.png \
  $RPM_BUILD_ROOT%{_datadir}/%{name}
install -dm 755 $RPM_BUILD_ROOT%{_datadir}/pixmaps
ln -s ../%{name}/fslint_icon.png $RPM_BUILD_ROOT%{_datadir}/pixmaps
install -pm 755 fslint/{find*,fslint,zipdir} \
  $RPM_BUILD_ROOT%{_datadir}/%{name}/fslint
install -pm 755 fslint/fstool/* \
  $RPM_BUILD_ROOT%{_datadir}/%{name}/fslint/fstool
install -pm 644 fslint/supprt/fslver \
  $RPM_BUILD_ROOT%{_datadir}/%{name}/fslint/supprt
install -pm 755 fslint/supprt/get* \
  $RPM_BUILD_ROOT%{_datadir}/%{name}/fslint/supprt
install -pm 755 fslint/supprt/md5sum_approx \
  $RPM_BUILD_ROOT%{_datadir}/%{name}/fslint/supprt
install -pm 755 fslint/supprt/rmlint/* \
  $RPM_BUILD_ROOT%{_datadir}/%{name}/fslint/supprt/rmlint

cp -a man/* \
  $RPM_BUILD_ROOT%{_mandir}/man1/

make -C po DESTDIR=$RPM_BUILD_ROOT LOCALEDIR=%{_datadir}/locale install

desktop-file-install \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  --mode 644 \
  --add-category X-Fedora \
  %{name}.desktop

%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc doc/*
%{_mandir}/man1/fslint*
%{_bindir}/fslint-gui
%{_datadir}/%{name}
%{_datadir}/applications/*%{name}.desktop
%{_datadir}/pixmaps/fslint_icon.png


%changelog
* Sat Apr 21 2018 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (2.46-1m)
- initial release to Momonga Linux
- spec copied from fc27
